<?php
namespace Incoviba\Common\Define\Repository;

interface Factory
{
    public function setCallable(callable $callable): Factory;
    public function setArgs(array $args): Factory;
    public function run(): mixed;
}
